/**
 * @file
 *
 * Memory management; will support NUMA if available and fall back
 * to malloc() otherwise.
 *
 * @author Jens Teubner <jens.teubner@inf.ethz.ch>
 *
 * (c) 2010 ETH Zurich, Systems Group
 *
 * $Id: mem.h 1100 2011-08-17 14:32:58Z jteubner $
 */

#include "config.h"

#ifndef MEM_H
#define MEM_H

#include <stdlib.h>

#if HAVE_LIBNUMA
#include <numa.h>
#endif

void nb_free (void *ptr, size_t size);

#ifdef HAVE_LIBNUMA
void * nb_alloc (size_t size, struct bitmask *nodemask);
#else
void * nb_alloc (size_t size, void *nodemask);
#endif

#endif  /* MEM_H */
