/**
 * @file
 *
 * Declaration of the accessmode_t enum type.
 *
 * (The main reason why this file exists is that I was too lazy to
 * deeply think about cyclic header inclusion.  Throwing this declaration
 * into a separate file fixed my compile problems.)
 *
 * @author Jens Teubner <jens.teubner@inf.ethz.ch>
 *
 * (c) 2011 ETH Zurich, Systems Group
 *
 * $Id: accessmode.h 1100 2011-08-17 14:32:58Z jteubner $
 */

#include "config.h"

#ifndef ACCESSMODE_H
#define ACCESSMODE_H

/**
 * Access mode for scan threads.  Threads may either perform read-only
 * scans or do a counter increment along with each item read.
 */
enum accessmode_t {
      mode_readonly    /**< read-only data access */
    , mode_readwrite   /**< read/write data access */
};
typedef enum accessmode_t accessmode_t;

#endif  /* ACCESSMODE_H? */
