/**
 * @file
 *
 * Working set declaration; will be processed by a scan thread to obtain
 * memory access characteristics.
 *
 * @author Jens Teubner <jens.teubner@inf.ethz.ch>
 *
 * (c) 2010 ETH Zurich, Systems Group
 *
 * $Id: workset.h 1100 2011-08-17 14:32:58Z jteubner $
 */

#include "config.h"

#ifndef WORKSET_H
#define WORKSET_H

#include <stdlib.h>

#ifdef HAVE_LIBNUMA
#include <numa.h>
#endif

#define NPAD 31
#define SCAN_ITERATIONS 10000

struct elem_t {
    struct elem_t *next;
};

typedef struct elem_t elem_t;

#include "workset/accessmode.h"

double scan (elem_t *workset, accessmode_t mode);

#ifdef HAVE_LIBNUMA
elem_t * generate_workset (size_t size, struct bitmask *nodemask);
#else
elem_t * generate_workset (size_t size, void *nodemask);
#endif

#endif  /* WORKSET_H? */
